aboutsummaryrefslogtreecommitdiff
path: root/repo/git/cpt-commit
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2020-07-25 11:20:55 +0300
committerCem Keylan <cem@ckyln.com>2020-07-25 11:20:55 +0300
commit47a3723632b82a0d3caf79dbe8ada1eae60dd976 (patch)
tree2c41b08502e35378af35fcda7622d3eaab776420 /repo/git/cpt-commit
parenta80ec35b458ad1616758aff8257d42b3b51ed17e (diff)
downloadcpt-extra-47a3723632b82a0d3caf79dbe8ada1eae60dd976.tar.gz
rename to cpt-extra
Diffstat (limited to 'repo/git/cpt-commit')
-rwxr-xr-xrepo/git/cpt-commit5
1 files changed, 5 insertions, 0 deletions
diff --git a/repo/git/cpt-commit b/repo/git/cpt-commit
new file mode 100755
index 0000000..ae0315a
--- /dev/null
+++ b/repo/git/cpt-commit
@@ -0,0 +1,5 @@
+#!/bin/sh
+# Commit a package without the prefix of 'package:'
+
+[ "$1" ] || { printf 'usage: %s <commit-msg without package name>\n' "${0##*/}"; exit 0 ;}
+git reset; git add .; git commit -m "${PWD##*/}: $*"